//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializesubmitGameSessionResultRequest")
inline fun submitGameSessionResultRequest(block: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest =
  gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest.newBuilder()).apply { block() }._build()
object SubmitGameSessionResultRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest = _builder.build()

    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     */
    var sessionId: kotlin.String
      @JvmName("getSessionId")
      get() = _builder.getSessionId()
      @JvmName("setSessionId")
      set(value) {
        _builder.setSessionId(value)
      }
    /**
     * <code>string session_id = 1 [json_name = "sessionId"];</code>
     */
    fun clearSessionId() {
      _builder.clearSessionId()
    }

    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    var gameSessionResult: gg.dsepractice.chinese.v1alpha1.GameSessionResult
      @JvmName("getGameSessionResult")
      get() = _builder.getGameSessionResult()
      @JvmName("setGameSessionResult")
      set(value) {
        _builder.setGameSessionResult(value)
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     */
    fun clearGameSessionResult() {
      _builder.clearGameSessionResult()
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSessionResult game_session_result = 2 [json_name = "gameSessionResult"];</code>
     * @return Whether the gameSessionResult field is set.
     */
    fun hasGameSessionResult(): kotlin.Boolean {
      return _builder.hasGameSessionResult()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest.copy(block: gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequest =
  gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

val gg.dsepractice.chinese.v1alpha1.SubmitGameSessionResultRequestOrBuilder.gameSessionResultOrNull: gg.dsepractice.chinese.v1alpha1.GameSessionResult?
  get() = if (hasGameSessionResult()) getGameSessionResult() else null

